#include <iostream>
#include <vector>
#include <array>

using namespace std;

int main(){

    int t, n, m , k, d;
    cin>>t;
    int slucajevi[10][3];

    for(int i = 0; i<t; i++)
        cin>>slucajevi[i][0]>>slucajevi[i][1]>>slucajevi[i][2];

    for(int j = 0; j<t; j++){
        vector <int> clanovi_grupa;
        n = slucajevi[j][0];
        m = slucajevi[j][1];
        k = slucajevi[j][2];
        d = n;
        if(k>n){
            cout<<"Nie"<<endl;
            continue;
        }
        for(int g = 0; g<k ; g++){
            
            if(n>=d/k){ 
                clanovi_grupa.push_back(d/k);
                n -= d/k;
            }
        }
        int s = 0;
        while(n>0){
            clanovi_grupa[s]++;
            n--;
            s++;
        }
        int suma = 0;
        for(int w = 0; w<clanovi_grupa.size(); w++){
            int brojzagrupu = 0;
            for(int r = 1; r<=clanovi_grupa[w]; r++){
                brojzagrupu += r;
            }
            suma += brojzagrupu;
        }
        if(suma>m)
            cout<<"Nie"<<endl;
        else
            cout<<"Tak"<<endl;
    }
    return 0 ;
}